﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace RegAuth
{
    /// <summary>
    /// Логика взаимодействия для Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        gr683_teoEntities db;
        public Window1()
        {
            InitializeComponent();
            db = new gr683_teoEntities();
        }

        private void RegClick(object sender, RoutedEventArgs e)
        {
           Registration(login.Text, password.Password, lastName.Text, firstName.Text, middleName.Text);
        }

        private void CancelClick(object sender, RoutedEventArgs e)
        {

            MainWindow mainWindow = new MainWindow();
            mainWindow.Show();
            this.Close();
        }

        public bool Registration(string loginText, string passwordText, string lastNameText, string firstNameText, string middleNameText)
        {
            if (loginText.Equals("") || passwordText.Equals("") || firstNameText.Equals("") || lastNameText.Equals(""))
            {
                MessageBox.Show("Не все обязательные поля заполнены");
                return false;
            }
            else if (db.Users.Select(item => item.Login).Contains(loginText))
            {
                MessageBox.Show("Пользователь с таким именем уже существует");
                return false;
            }
            else
            {
                Users newUser = new Users()
                {
                    Login = loginText,
                    Password = passwordText,
                    LastName = lastNameText,
                    FirstName = firstNameText,
                    MiddleName = middleNameText
                };

                db.Users.Add(newUser);
                db.SaveChanges();
                MessageBox.Show("Вы успешно зарегестрировались");
                MainWindow mainWindow = new MainWindow();
                mainWindow.Show();
                this.Close();
                return true;
            }
           
        }
    }

   
}
